<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:21:36 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (org.eclipse.papyrus.designer.transformation.base 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (org.eclipse.papyrus.designer.transformation.base 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.eclipse">org.eclipse.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="org.eclipse">
<!--   -->
</a>
<h2 title="org.eclipse">org.eclipse.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.Activator.PLUGIN_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#PLUGIN_ID">PLUGIN_ID</a></code></td>
<td class="colLast"><code>"org.eclipse.papyrus.designer.transformation.base"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.transformation.base.preferences.<a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences">PapyrusDesignerPreferenceConstants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.preferences.PapyrusDesignerPreferenceConstants.P_ALL_ATTRIBUTES_ARE_CONFIG_ATTRIBUTES">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_ALL_ATTRIBUTES_ARE_CONFIG_ATTRIBUTES">P_ALL_ATTRIBUTES_ARE_CONFIG_ATTRIBUTES</a></code></td>
<td class="colLast"><code>"allAttributesAreConfigAttributes"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.preferences.PapyrusDesignerPreferenceConstants.P_CODE_GEN_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_CODE_GEN_PREFIX">P_CODE_GEN_PREFIX</a></code></td>
<td class="colLast"><code>"codeGenPrefix"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.preferences.PapyrusDesignerPreferenceConstants.P_SHOW_PROV_REQ_AS_PORT_ICONS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_SHOW_PROV_REQ_AS_PORT_ICONS">P_SHOW_PROV_REQ_AS_PORT_ICONS</a></code></td>
<td class="colLast"><code>"showProvReqAsPortIcons"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.preferences.PapyrusDesignerPreferenceConstants.P_TREAT_NONE_AS_COMPOSITE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_TREAT_NONE_AS_COMPOSITE">P_TREAT_NONE_AS_COMPOSITE</a></code></td>
<td class="colLast"><code>"treatNoneAsComposite"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ApplyProfile</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.utils.ApplyProfile.CMD_LABEL">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html#CMD_LABEL">CMD_LABEL</a></code></td>
<td class="colLast"><code>"Apply %s profile"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.utils.FilteringLogHelper.SHOW_DEBUG">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#SHOW_DEBUG">SHOW_DEBUG</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.utils.FilteringLogHelper.SHOW_INFO">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#SHOW_INFO">SHOW_INFO</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.utils.FilteringLogHelper.SHOW_WARN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#SHOW_WARN">SHOW_WARN</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.transformation.base.utils.RealizationUtils.REALIZATION_OF">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#REALIZATION_OF">REALIZATION_OF</a></code></td>
<td class="colLast"><code>"realization of "</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
